import json
import sys

def main():
	if len(sys.argv) < 2:
		print("Usage:", sys.argv[0], "votedata.json")
		sys.exit()

	f = open(sys.argv[1])
	data = json.load(f)
	f.close()
	
	results = {}
	for pair in data:
		for key, value in pair.items():
			if not results.get(key):
				results[key] = {}
			if not results[key].get(value):
				results[key][value] = 0
			results[key][value] += 1

	strlist = []
	for key, i in results.items():
		for value, n in i.items():
			if value == "":
				value = "<blank>"
			strlist.append("%s %s %s" % (key, value, n))
	strlist.sort()
	print("\n".join(strlist))

	for key, val in results.items():
		yes = val.get("yes")
		no = val.get("no", 0)
		blank = val.get("", "N/A")
		if not yes:
			continue
		res = yes / (yes + no) * 100
		if res >= 66.666:
			print(key, "passes (%.2f%%) [%s/%s] <%s abstentions>" % (res, yes, (yes + no), blank))
		else:
			print(key, "fails (%.2f%%) [%s/%s] <%s abstentions>" % (res, yes, (yes + no), blank))

if __name__ == "__main__":
	main()
else:
	raise Exception("This can only be run from the command line.")
